use serde::Serialize;
use std::vec::Vec;

#[derive(Serialize, Clone)]
pub struct Distro {
    pub name: String,
    pub summary: String,
    pub icon_url: String,
    pub wiki: String,
    pub download: String,
    pub website: String,

    pub freedom_positives: Vec<String>,
    pub freedom_negatives: Vec<String>,
    pub freedom_stars: u32,

    pub usability_positives: Vec<String>,
    pub usability_negatives: Vec<String>,
    pub usability_stars: u32,

    pub privacy_positives: Vec<String>,
    pub privacy_negatives: Vec<String>,
    pub privacy_stars: u32,
}

#[derive(Serialize, Clone)]
pub struct DistroList {
    pub distros: Vec<Distro>,
}

